/**
 * Copyright (c) 2007-2013, Kaazing Corporation. All rights reserved.
 */

//
// Definitive Guide to HTML5 WebSocket
//

var websocket = require("./websocket-example");
var net = require("net");

var remotePort = 5900;
var remoteHost = "localhost";

websocket.listen(8080, "localhost", function(websocket) {
    // 鿣 TCP  
    var tcpsocket = new net.Socket({type:"tcp4"});
    tcpsocket.connect(remotePort, remoteHost);

    // TCP ڵ鷯 Լ
    tcpsocket.on("connect", function() {
      console.log("TCP  ");
    });
    tcpsocket.on("data", function(data) {
      websocket.send(data);
    });
    tcpsocket.on("error", function() {
      console.log("TCP  ", arguments);
    });

    //  ڵ鷯 Լ
    websocket.on("data", function(opcode, data) {
        tcpsocket.write(data);
    });
    websocket.on("close", function(code, reason) {
        console.log(" ")
        // 鿣  
        tcpsocket.end();
    });

    console.log("  ");
});
